# Interface IQueryBuilderExpression

Describe the expressions part of a QueryBuilder.

## Index

### Properties

- advanced
- basic
- constant
- disjunction
- full
- withoutConstant

## Properties

### Optional advanced

advanced: string

- Defined in ui/Base/QueryBuilderExpression.ts :28

The advanced part of the expression

### Optional basic

basic: string

- Defined in ui/Base/QueryBuilderExpression.ts :24

The basic part of the expression

### Optional constant

constant: string

- Defined in ui/Base/QueryBuilderExpression.ts :20

The constant part of the expression

### Optional disjunction

disjunction: string

- Defined in ui/Base/QueryBuilderExpression.ts :32

The disjunction part of the expression

### Optional full

full: string

- Defined in ui/Base/QueryBuilderExpression.ts :12

The whole expression

### Optional withoutConstant

withoutConstant: string

- Defined in ui/Base/QueryBuilderExpression.ts :16

The full part, but without the constant.

### Hierarchy

- IQueryBuilderExpression